
QGIS Application - Bug report #8060

pyplugin_installer

2013-06-13 12:59 PM - Angus Carr

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16900

Description

When using a network proxy, the python plugin installer fails with an error with the current pyQT Api switcheroo.

This happens:

An error occured during execution of following code:

pyplugin_installer.instance().showPluginManagerWhenReady()

Traceback (most recent call last):

  File "", line 1, in 

  File "C:/Program Files/QGIS Weekly/apps/qgis-dev/./python\\pyplugin_installer\\installer.py", line 250, in

showPluginManagerWhenReady

    self.fetchAvailablePlugins(reloadMode = False)

  File "C:/Program Files/QGIS Weekly/apps/qgis-dev/./python\\pyplugin_installer\\installer.py", line 118, in fetchAvailablePlugins

    repositories.requestFetching(key)

  File "C:/Program Files/QGIS Weekly/apps/qgis-dev/./python\\pyplugin_installer\\installer_data.py", line 402, in requestFetching

    self.mRepositories[key]["QPHttp"] = QPHttp(url.host(), port)

  File "C:/Program Files/QGIS Weekly/apps/qgis-dev/./python\\pyplugin_installer\\installer_data.py", line 182, in __init__

    if len(args)>0 and settings.value("/proxyExcludedUrls","", type=unicode).contains(args[0]):

AttributeError: 'unicode' object has no attribute 'contains'

Python version:

2.7.4 (default, Apr  6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version:

1.9.0-Master 'Master', a3ea7ce

Python path:

['C:/Program Files/QGIS Weekly/apps/qgis-dev/./python/plugins\\\\sextante', 'C:/Program Files/QGIS

Weekly/apps/qgis-dev/./python', 'C:\\\\Documents and Settings\\\\carran/.qgis2/python', 'C:\\\\Documents and

Settings\\\\carran/.qgis2/python/plugins', 'C:/Program Files/QGIS Weekly/apps/qgis-dev/./python/plugins', 'C:\\\\Program

Files\\\\ArcGIS\\\\bin', 'C:\\\\Program Files\\\\QGIS Weekly\\\\bin\\\\python27.zip', 'C:\\\\Program Files\\\\QGIS

Weekly\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\Program Files\\\\QGIS Weekly\\\\apps\\\\Python27\\\\lib', 'C:\\\\Program Files\\\\QGIS

Weekly\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\Program Files\\\\QGIS Weekly\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\Program

Files\\\\QGIS Weekly\\\\bin', 'C:\\\\Program Files\\\\QGIS Weekly\\\\apps\\\\Python27', 'C:\\\\Program Files\\\\QGIS

Weekly\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'C:\\\\Program Files\\\\QGIS

Weekly\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL', 'C:\\\\Program Files\\\\QGIS

Weekly\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32', 'C:\\\\Program Files\\\\QGIS

Weekly\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib', 'C:\\\\Program Files\\\\QGIS

Weekly\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin', 'C:\\\\Program Files\\\\QGIS
Weekly\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode', 'C:\\\\Program Files\\\\QGIS

Weekly\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\fTools\\\\tools']

Associated revisions

Revision 820a0f78 - 2013-06-14 12:14 AM - Borys Jurgiel

fix #8060 (new SIP API)

History

#1 - 2013-06-13 03:18 PM - Borys Jurgiel

Fixed in commit:820a0f783f135756e9

I'd be thankful for any extensive installer testing, as I don't use proxy.

#2 - 2013-06-13 03:18 PM - Borys Jurgiel

- Resolution set to fixed

- Status changed from Open to Closed
